package com.usky.demo.service.listener;

import com.usky.demo.service.rabbitmq.SimpleContext;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

@Slf4j
@Component
public class RabbitMQListener {
    @Autowired
    private SimpleContext simpleContext;

    @RabbitHandler
    @RabbitListener(queues = "jame")  //监听名称为jame队列消息
    public void process(Map testMessage){
        System.out.println("DirectReceiver消费者收到消息： " + testMessage.toString());
        simpleContext.disposeMessageToDB(testMessage);
    }
}
